Change in osmo-uecups[master]: add jenkins.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

laforge gerrit-no-reply at lists.osmocom.org
Wed Apr 15 20:09:23 UTC 2020


laforge has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-uecups/+/17829 )


Change subject: add jenkins.sh
......................................................................

add jenkins.sh

Change-Id: I5de3a4ee209ae78346aaa4ce5734b5ef213e5c07
---
A contrib/jenkins.sh
1 file changed, 34 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-uecups refs/changes/29/17829/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..f455fcc
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# jenkins build helper script for osmocom-bb.  This is how we build on jenkins.osmocom.org
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+osmo-build-dep.sh libosmo-abis "" ac_cv_path_DOXYGEN=false
+osmo-build-dep.sh libosmo-netif "" ac_cv_path_DOXYGEN=false
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-uecups ============================="
+echo
+set -x
+
+cd daemon
+make
+
+osmo-clean-workspace.sh
+

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-uecups/+/17829
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-uecups
Gerrit-Branch: master
Gerrit-Change-Id: I5de3a4ee209ae78346aaa4ce5734b5ef213e5c07
Gerrit-Change-Number: 17829
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge at osmocom.org>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200415/f6441c5d/attachment.htm>


More information about the gerrit-log mailing list